# Generated by Django 5.2.1 on 2025-05-25 22:47

import django.db.models.deletion
import pgvector.django.vector
from django.conf import settings
from django.db import migrations, models

import django_deepface.models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("django_deepface", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="UserProfile",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="profile",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Identity",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "image",
                    models.ImageField(
                        upload_to=django_deepface.models.user_directory_path
                    ),
                ),
                (
                    "embedding",
                    pgvector.django.vector.VectorField(
                        blank=True,
                        dimensions=4096,
                        help_text="Embedding vector for the image",
                        null=True,
                    ),
                ),
                ("image_number", models.IntegerField()),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="identities",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Identity",
                "verbose_name_plural": "Identities",
                "ordering": ["user__username", "image_number"],
                "unique_together": {("user", "image_number")},
            },
        ),
    ]
